#include <bits/stdc++.h>
int a[1000000];
using namespace std;
int main()
{
    ifstream f1("KYTUK.INP");
    string s;
    getline(f1,s);
    int n,dem=0,i;
    n=s.length();
    for(i=0;i<n;i++)
    {
        a[i]=int(s[i]);
    }
    sort(a,a+n);
    for(i=0;i<n;i++)
    {
       if(a[i]!=a[i+1])dem++;
    }
    f1.close();
    ofstream f2("KYTUK.OUT");
    f2<<dem;
    f2.close();
    return 0;
}
